
PENGADIAN EMAS - Bug #14860

BE[EMAS][DASHBOARD][RECEIPT] There is duplicate field for Frequency pembelian and Tanggal

pendebitan

22 November 2022 05:15 PM - hsulynn pang

Status: Closed Start date: 22 November 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: uatmdl05

steps:

(1) login

(2) swipe the slide to Investasi & Asuransi screen

(3) click Emas Pegadaian

(4) click one of the transaction which is Recurring

(5) at the transaction details screen, click Invoice button

(6) verify the receipt

Actual result: There is duplicate field for Frequency pembelian and Tanggal pendebitan

Expected result: It shouldn't have duplicate field

History

#1 - 22 November 2022 05:17 PM - hsulynn pang

Attached response in /emas/dashboard/getReceiptDetails for your reference

{

"responseMessage" : "ok",

"responseData" : {

"sections" : [ {

"body" : [

"16/11/2022 13:47:56"

],

"header" : "Tanggal Transaksi Auto Debit"

}, {

"body" : [

"15/11/2023"

],

"header" : "Tanggal Transaksi Auto Debit terakhir"

}, {

"body" : [

"1668581084154123001"

],

"header" : "Nomor Referensi"

}, {

"body" : [

"RAYMOND BAMBANG UTARYO P"

],

"header" : "Nama Nasabah"

}, {

"body" : [

"Emas"

],

"header" : "Produk"

}, {

"body" : [

"Pegadaian"

],

"header" : "Agen"

}, {

"body" : [

"8001901477"
],

"header" : "Rekening Asal"

}, {

"body" : [

"1230022620001754"

],

"header" : "Nomor Akun Pegadaian"

}, {

"body" : [

"IDR 906,000.00 / gram"

],

"header" : "Harga Beli Emas"

}, {

"body" : [

"0.0982 gram"

],

"header" : "Jumlah Emas"

}, {

"body" : [

"IDR 88,888.00"

],

"header" : "Total Emas yang dibeli"

}, {

"body" : [

"IDR 5,000.00"

],

"header" : "Biaya Admin"

}, {

"body" : [

"IDR 93,888.00"

],

"header" : "Jumlah didebit"

}, {

"body" : [

"Setiap Minggu"

],

"header" : "Frekuensi Pembelian"

}, {

"body" : [

"52 Minggu"

],

"header" : "Jangka Waktu Pembelian"

}, {

"body" : [

"16"

],

"header" : "Tanggal pendebitan"

}, {

"body" : [

"52 Minggu"

],

"header" : "Sisa Waktu Pembelian Rutin"

}, {

"body" : [

"Setiap Minggu"

],

"header" : "Frekuensi Pembelian"

}, {

"body" : [

"16"

],

"header" : "Tanggal pendebitan"

}

]

},

"responseCode" : "00"

}
#2 - 22 November 2022 08:35 PM - woonbeng.koo woonbeng.koo

- Assignee changed from woonbeng.koo woonbeng.koo to hsulynn pang

- % Done changed from 0 to 100

#3 - 23 November 2022 09:42 AM - hsulynn pang

- File retest 14860 (1).PNG added

- File retest 14860 (2).PNG added

- Status changed from New to Closed

tested ok

Files

BE receipt.PNG 46.2 KB 22 November 2022 hsulynn pang

retest 14860 (2).PNG 555 KB 23 November 2022 hsulynn pang

retest 14860 (1).PNG 780 KB 23 November 2022 hsulynn pang
